//
// Object_Custom
//

#include "AScript.h"

namespace AScript {

bool Class_Custom::IsCustom() const { return true; }

Class_Custom::Class_Custom(const Class_Custom &cls) : Class(cls)
{
}

Class_Custom::Class_Custom(Class *pClassSuper, const Symbol *pSymbol) :
													Class(pClassSuper, pSymbol)
{
}

Class_Custom::~Class_Custom()
{
}

Object *Class_Custom::CreateDescendant(Environment &env, Signal sig, Class *pClass)
{
	Class *pClassSuper = GetClassSuper();
	ASSUME(env, pClassSuper != NULL);
	Object *pObj = _pClassSuper->CreateDescendant(env, sig, pClass);
	return pObj;
}

}
